Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Management

List Points of Sales

GET
/public/api/v1/management/point-of-sales

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

pageinteger

Page number.

Default:
1
perPageinteger

Number of items per page.

Default:
25
Range:
value <= 500

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/public/api/v1/management/point-of-sales"
{  "page": 0,  "perPage": 0,  "lastPage": 0,  "total": 0,  "firstPageUrl": "string",  "lastPageUrl": "string",  "nextPageUrl": "string",  "previousPageUrl": "string",  "nextPage": 0,  "previousPage": 0,  "from": 0,  "to": 0,  "path": "string",  "items": [    {      "pointOfSale": {        "id": "0192473a-e381-705c-b61c-fc2ac9624afc",        "name": "Store #42",        "descriptor": "POS Copenhagen",        "createdAt": "2024-10-01T10:38:14.658688472+02:00",        "updatedAt": "2024-10-01T12:38:14.658688472+02:00"      },      "hostedConfiguration": {        "instantCapture": "OFF",        "scaMode": "SKIP",        "timeout": 60,        "notificationUrl": "https://example.com/notification",        "successUrl": "https://example.com/success",        "failureUrl": "https://example.com/failure",        "retryUrl": null,        "maxAttempts": 10,        "processor": [          "shift4",          "nets"        ],        "exemptions": [          "TRA",          "LVT"        ],        "reportFailure": false      }    }  ]}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}

List settlement transactions

List settlement transactions. Settlement transactions gives per transaction insight into the fees paid to the acquirer, scheme and network. Normal acquirer agreements often only contain a single acquirer fee, which represent your blended pricing at the acquirer. Larger merchants working with IC++ pricing will typically see a breakdown of the transaction cost into interchange fees (Set by the issuer bank), scheme fee (Set by Visa/Mastercard) and acquirer fee (Set by the acquirer). Do note, one ePay transaction can be linked to multiple settlement transactions if multiple partial captures or refunds are used. Relationship to other components - Settlement Transfer: A bank transfer / payout / settlement from the acquirer to your bank. - Settlement Transaction: Settlement data for a specific transaction, can be related to an ePay transaction if the transaction was made through ePay. - Adjustments: Any modifications the acquirer makes to the transaction amount, before arriving at the net amount being paid out. This includes both transaction, settlement and service fees, but also any reimbursements or currency exchange fees. - Transactions: An ePay transaction. If a settlement transaction was processed through ePay, it will be linked to the ePay Transaction.

Create Point of Sale

Create a new Point of Sale and its associated hosted configuration. Note: The webhookAuthentication value is the entire Authorization header value send for any webhook. So you must include the auth scheme such as Bearer or Basic.